package model

import (
	"time"
)

type CommunityTeamStoreAudit struct {
	Id                 int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid                int       `json:"uid" xorm:"default 0 INT(11)"`
	Lat                string    `json:"lat" xorm:"default 0.000000 comment('纬度') DECIMAL(30,6)"`
	Lng                string    `json:"lng" xorm:"default 0.000000 comment('经度') DECIMAL(30,6)"`
	Address            string    `json:"address" xorm:"default '' comment('详细地址') VARCHAR(255)"`
	CreateAt           time.Time `json:"create_at" xorm:"DATETIME"`
	UpdateAt           time.Time `json:"update_at" xorm:"DATETIME"`
	State              int       `json:"state" xorm:"default 0 INT(1)"`
	Name               string    `json:"name" xorm:"default '' VARCHAR(255)"`
	Province           string    `json:"province" xorm:"comment('省级的名称') VARCHAR(255)"`
	City               string    `json:"city" xorm:"comment('市级的名称') VARCHAR(255)"`
	District           string    `json:"district" xorm:"comment('县，区名称') VARCHAR(255)"`
	Phone              string    `json:"phone" xorm:"default '' VARCHAR(255)"`
	ProvinceId         int       `json:"province_id" xorm:"default 0 comment('省级的名称') INT(11)"`
	CityId             int       `json:"city_id" xorm:"default 0 comment('市级的名称') INT(11)"`
	DistrictId         int       `json:"district_id" xorm:"default 0 comment('县，区名称') INT(11)"`
	BusinessLicenseImg string    `json:"business_license_img" xorm:"VARCHAR(255)"`
	UserName           string    `json:"user_name" xorm:"VARCHAR(255)"`
	IdcardHeadImg      string    `json:"idcard_head_img" xorm:"VARCHAR(255)"`
	IdcardBadgeImg     string    `json:"idcard_badge_img" xorm:"VARCHAR(255)"`
	AccountImg         string    `json:"account_img" xorm:"VARCHAR(255)"`
	Info               string    `json:"info" xorm:"VARCHAR(255)"`
}
